com.sun.syndication.io.impl

## Class RSS093Parser

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedParser
  - - com.sun.syndication.io.impl.RSS090Parser
    - - com.sun.syndication.io.impl.RSS091UserlandParser
      - - com.sun.syndication.io.impl.RSS092Parser
        - - com.sun.syndication.io.impl.RSS093Parser

All Implemented Interfaces:
  WireFeedParser

Direct Known Subclasses:
  RSS094Parser

    public class RSS093Parser
    extends RSS092Parser

### Constructor Summary

Constructors
`` `RSS093Parser()`
`protected` `RSS093Parser(java.lang.String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getRSSVersion()`
`protected Item` `parseItem(org.jdom.Element rssRoot, org.jdom.Element eItem)` Parses an item element of an RSS document looking for item information.

### Methods inherited from class com.sun.syndication.io.impl.RSS092Parser

`parseCategories, parseChannel, parseItemDescription`

### Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandParser

`getImage, getItems, getRSSNamespace, getTextInput, getTextInputLabel, isHourFormat24, isMyType, parseImage`

### Methods inherited from class com.sun.syndication.io.impl.RSS090Parser

`getContentNamespace, getRDFNamespace, parse, parseItems, parseTextInput, validateFeed`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedParser

`extractForeignMarkup, getAttribute, getAttributeValue, getType, parseFeedModules, parseItemModules, parsePersonModules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS093Parser

    public RSS093Parser()

#### RSS093Parser

    protected RSS093Parser(java.lang.String type)

### Method Detail

#### getRSSVersion

    protected java.lang.String getRSSVersion()

Overrides:
  `getRSSVersion` in class `RSS092Parser`

#### parseItem

    protected Item parseItem(org.jdom.Element rssRoot,
                             org.jdom.Element eItem)

Description copied from class: `RSS091UserlandParser`
Parses an item element of an RSS document looking for item information.

It first invokes super.parseItem and then parses and injects the description property if present.

Overrides:
  `parseItem` in class `RSS092Parser`
Parameters:
  `rssRoot` - the root element of the RSS document in case it's needed for context.
  `eItem` - the item element to parse.
Returns:
  the parsed RSSItem bean.